﻿using IgApp.Models;
using Infragistics.Web.Mvc;
using Microsoft.AspNetCore.Mvc;

namespace IgApp.Controllers
{
    public class HomeController : Controller
    {
        [GridDataSourceAction]
        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),

            };

            return View(viewModel);
        }

        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID=1, Name="John Smith", IsActive=true, Birthdate=new System.DateTime(1989, 12, 1), IsFun=true, TOTAL_SALARIES=1238, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=2, Name="Bob Richards", IsActive=false, Birthdate=new System.DateTime(1988, 2, 1), IsFun=false, TOTAL_SALARIES=52524, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=3, Name="Marge Wright", IsActive=false,Birthdate=new System.DateTime(1976,11,07), IsFun=false, TOTAL_SALARIES=17543, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=4, Name="Dwight Long", IsActive=true, Birthdate=new System.DateTime(1998,4,08), IsFun=true, TOTAL_SALARIES=16464, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=5, Name="Bob Richards1", IsActive=false, Birthdate=new System.DateTime(1998,5,09), IsFun=false, TOTAL_SALARIES=56350, FRINGE_RATE=0, JustifiedAmount=0, BudgetAmount=0 },
                new Customer { ID=6, Name="Marge Wright1", IsActive=false,Birthdate=new System.DateTime(2000,2,07), IsFun=false, TOTAL_SALARIES=23333330, FRINGE_RATE=0, JustifiedAmount=0, BudgetAmount=0 },
                new Customer { ID=7, Name="Dwight Long1", IsActive=true, Birthdate=new System.DateTime(2001,1,08), IsFun=true, TOTAL_SALARIES=16533, FRINGE_RATE=0, JustifiedAmount=0, BudgetAmount=0 },
                new Customer { ID=8, Name="Amy Grant1", IsActive=true, Birthdate=new System.DateTime(1996,12,09), IsFun=true, TOTAL_SALARIES=14441, FRINGE_RATE=2, JustifiedAmount=500 , BudgetAmount=400},
                new Customer { ID=9, Name="Smith", IsActive=true, Birthdate=new System.DateTime(1967,6,05), IsFun=true, TOTAL_SALARIES=63530, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=10, Name="Richards", IsActive=false, Birthdate=new System.DateTime(1988,6,09), IsFun=false, TOTAL_SALARIES=53430, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},

            };
        }
    }
}